Bug 494537 - Evolution forgets imap and smtp password every time it is quit
Evolution forgets imap and smtp password every time it is quit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 07:50 EDT by Xander D Harkness
Modified: 2016-06-07 18:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:43:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xander D Harkness 2009-04-07 07:50:38 EDT
Description of problem:
Every time I start evolution I need to type my mail passwords as Evolution does not remember them from session to session.  I am quitting evolution normally.

Version-Release number of selected component (if applicable):
Evolution 
Version     : 2.26.0
Release     : 2.fc11
(It has been this way for some time)

How reproducible:
Every time I restart Evolution 

Steps to Reproduce:
1. Start evolution, enter password when asked, ensure button to save password is checked.
2.quit evolution
3.start evolution and retype password
  
Actual results:
Evolution does not remember passwords

Expected results:
Evolution should only ask for my password when it is changed.

Additional info:
Comment 1 Matthew Barnes 2009-04-07 08:13:57 EDT
Is the password prompt asking:

   [ ] Remember this password

or

   [ ] Remember this password for the remainder of this session
Comment 2 Xander D Harkness 2009-04-07 08:44:20 EDT
It is asking:

[  ] Remember this password
Comment 3 Milan Crha 2009-04-07 09:37:47 EDT
I do not know when exactly, but I think I saw a warning on console last time I had evolution from F10 running, claiming something about assertion user != NULL.
Could you run evolution in terminal and check whether it'll show such (or similar) message for you? I suppose it'll be shown just after you hit "OK" in the above password prompt window.
Comment 4 Xander D Harkness 2009-04-22 05:34:04 EDT
It just forgot the smtp password and I get this error message:

e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-Mail'
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-Mail'

Then on restart it forgets the imap password and I get this:

evolution 
evolution-shell-Message: Killing old version of evolution-data-server...
Rspam Plugin enabled

(evolution:24192): camel-imap-provider-WARNING **: Unable to load summary no such table: INBOX

EXCEP 301 3 303
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-Mail'
Comment 5 Bug Zapper 2009-06-09 09:24:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 09:32:25 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:43:22 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.